function inte = simpson(f,a,b)
%SIMPSON Simpson's rule
%   inte=simpson(f,a,b) approximates the integral between a and b of a function
%   whose values are contained in vector f. The number of values must be odd.

n = length(f);
if ~(2*round(n/2)-n), error('n must be odd.'), end
h = (b-a)/(n-1);
w = ones(n,1); w(2:2:n-1)=4; w(3:2:n-1)=2;
inte = h/3 * (w'*f);

