function inte = traprule(f,a,b)
%TRAPRULE trapezoidal rule
%   inte=traprule(f,a,b) approximates the integral between a and b of a function
%   whose values are contained in vector f.

n = length(f);
h = (b-a)/(n-1);
inte = h/2 * [1 2*ones(1,n-2) 1]*f;

